\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}
% \usepackage{movie15}
\usepackage{media9}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Projections \ldots{} Arrrr}

\author{Jim Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\
  \texttt{jheffero@uvm.edu}
}
\date{}


\begin{document}
\begin{frame}
  \titlepage
\end{frame}




\begin{frame}{The problem of navigation}
In Nov 02 1707, 
a squadron of British Navy ships 
was returning from a battle in the War of the Spanish Succession.
It was commanded by the Admiral of the Fleet, Sir Cloudesley Shovell. 
\begin{center}
  \includegraphics[height=0.40\textheight]{Sir_Cloudesley_Shovell.jpg}
\end{center}
The weather had been overcast and stormy. 
The admiral  
consulted with his navigators.
Most believed they were sailing on the latitude of Ushant near France. 

\pause
They were wrong. 
Later that night, Shovell's flagship, the \textit{Association}, 
slammed into the rocks off the Scilly Isles.
\end{frame}
\begin{frame}
Observers said the ship sank in three or four minutes, with a loss of 
$800$ lives including the admiral. 
\begin{center}
  \includegraphics[height=0.70\textheight]{HMS_Association.jpg}
\end{center}
This disaster 
provoked Parliament to pass the Longitude Act of 1714,
offering rewards for solving the problem of navigation at sea.
\end{frame}



\begin{frame}
\frametitle{How do you know he is a pirate?}
\begin{center}
%   \includemovie[
%   poster,
%   text={\small pirate.mwv}
% ]{4cm}{4cm}{pirate.wmv}
  \includegraphics[height=0.75\textheight]{pirate.png}
\end{center}
% And not just a fan of guns?
\end{frame}



\begin{frame}
After 1492, sailors, including pirates, began 
commonly traveling long distances at sea.
They needed to find their location.
\begin{center}
  \includegraphics[height=0.25\textheight]{latlong.jpg}
\end{center}
If you can see the sun then you can find the latitude with a sextant.
\begin{center}
  \includegraphics[height=0.27\textheight]{use_sextant.jpg}%
  \hspace*{3em}
  \includegraphics[height=0.27\textheight]{sextant.jpg}
\end{center}
But unless you are careful looking at the sun
can damage your eyes, and pirates are not the most careful people.
\end{frame}

\begin{frame}
In those days for success as a sailor you needed bold enterprise more than 
intellectual sophistication,
or literacy.
\begin{center}
  \includegraphics[height=0.5\textheight]{boarding.jpg}
\end{center}
Old time geographers had what we today call a user interface problem. 
Maps had to be useful to the people who used them.
\end{frame}




\begin{frame}
  \frametitle{The ideal solution}
It is a fact of earth navigation that
the shortest path from place to place is a \alert{great circle}.
\begin{center}
  \includegraphics[height=0.4\textheight]{great_circle.jpg}    
\end{center}
But steering by a great circle is hard.
It requires sophisticated mathematics, not a strength of early sailors.
\end{frame}

\begin{frame}
In the 1100's people in China and Europe discovered that a piece of lodestone,
when floated on a stick in water, 
will align itself to point in the direction of the north star. 
By the 1200's magnetic compasses were widely used. 

As a result, directions at sea were often 
given by distance and compass bearing. 
Sailors call lines of fixed compass direction
\alert{rhumb lines} and mathematicians call them \alert{loxodromes}. 
\begin{center}
  \includegraphics[height=0.4\textheight]{rhumb.jpg}    
\end{center}
\end{frame}


\begin{frame}
\frametitle{The solution to the user interface problem}
In 1569 Gerardus Mercator (1512--1594)
\begin{center}
    \includegraphics[height=0.35\textheight]{mercator.jpg}%
    \hspace*{1cm}%    
    \includegraphics[height=0.35\textheight]{mercator_map.jpg}    
\end{center}
made a map in which rhumb lines were straight lines.

To plan a
journey a sailor could lay a straightedge on a map between origin and 
destination and then read off the
compass bearing to follow. 
People who could not do spherical trigonometry could nonetheless 
navigate across oceans. 
\end{frame}


\begin{frame}
  % \frametitle{A modern example}
Here is a Mercator projection map, along with
a path laid out from  Vancouver to Honolulu. 
\begin{center}
    \includegraphics[height=0.45\textheight]{mercator_modern.png}%
    \hspace*{0.7cm}    
    \includegraphics[height=0.45\textheight]{vanhono.jpg}    
\end{center}
In both maps the longitude lines, the vertical lines, are 
evenly spaced.
But the distance between latitude lines, the horizontal lines, far from the
equator is more than the distance beweeen latitude lines near to it. 
\end{frame}

\begin{frame}
\frametitle{Constructing a map}
Imagine the earth is a unit sphere.
Imagine the map is on a paper that is wrapped around the earth,
touching at the equator.
So the map's width will equal the equator's length, $2\pi$.
\begin{center}
    \vcenteredhbox{\includegraphics{asy/mercator002.png}}%
\end{center}
We can always rescale the map, so we work with this one because it 
is simple.
\end{frame}



\begin{frame}
\frametitle{This we don't want}
This is radial projection.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/mercator005.png}}%    
\end{center}
It is a perfectly fine way to make maps but 
radial projection does not preserve angles.

We want a map that is rectangular, and where angles are preserved.
\end{frame}

\begin{frame}
Instead, we want this.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/mercator006.png}}%    
\end{center}
The sphere's lines of latitude project straight across to the map's
lines of latitude.
An early writer said we should imagine the earth to 
``swal [swell] like a bladder'' and mark the points on the map that
the lines touch, then unroll the map.  
\end{frame}


\begin{frame}
We require that our map be rectangular, and that it preserve angles.

From the prior slide we know that our map will be square, $2\pi\times 2\pi$.
But if you peel an orange and try to lay the peel out flat then it won't work.

To get a rectangular map we need to stretch the parts near the poles quite a
bit horizontally.
And, to get it to preserve angles we need to space the parallels of latitude
unevenly. 
\end{frame}


\begin{frame}{Step one: get the horizontal factors}
\begin{center}
    \only<1>{\vcenteredhbox{\includegraphics{asy/mercator000.png}}}%    
    \only<2>{\vcenteredhbox{\includegraphics{asy/mercator001.png}}}%    
    \only<3->{\vcenteredhbox{\includegraphics{asy/mercator003.png}}\hspace*{4em}\raisebox{-0.45cm}{\vcenteredhbox{\includegraphics{asy/mercator_2d003.pdf}}}}%    
\end{center}
\uncover<1->{The circle of latitude $\phi$ }%
\uncover<2->{has circumference~$2\pi\cdot \cos\phi$. }
\uncover<3->{We project it to a map line of length~$2\pi$. 
  So we must expand it horizontally by a factor of $\sec\phi$.}
\end{frame}


\begin{frame}
Here is the graph of $y=\sec x$
as well as the horizontal expansion factor at a list of latitudes.
\begin{center}\small
  \vcenteredhbox{\includegraphics{asy/mercator_2d000.pdf}}%
  \hspace{2em}  
  \begin{tabular}{@{}r|l@{}}
    \multicolumn{1}{c}{\textit{Deg}}
      &\multicolumn{1}{c}{\textit{Sec}} \\ \hline
    $0$  &$1.00$ \\
    $10$ &$1.02$ \\
    $20$ &$1.06$ \\ 
    $30$ &$1.15$ \\
    $40$ &$1.31$ \\
    $50$ &$1.56$ \\
    $60$ &$2.00$ \\ 
    $70$ &$2.92$ \\
    $80$ &$5.76$ 
  \end{tabular}
  \hspace{2em}  
  \vcenteredhbox{\includegraphics{asy/mercator_2d002.pdf}}%    
\end{center}
\pause
You sometimes see this version of that scale on maps.  
\begin{center}
  \vcenteredhbox{\includegraphics[height=0.25\textheight]{World_Scale.png}}%    
\end{center}
\end{frame}
% sage: def f(x):
% ....:     return(sec(x*pi/180))
% sage: for d in range(9):
% ....:     print("degrees ="+str(10*d)+" secant="+str(n(f(10*d))))
% ....: 
% ....: 
% ....: 
% degrees =0 secant=1.00000000000000
% degrees =10 secant=1.01542661188574
% degrees =20 secant=1.06417777247591
% degrees =30 secant=1.15470053837925
% degrees =40 secant=1.30540728933228
% degrees =50 secant=1.55572382686041
% degrees =60 secant=2.00000000000000
% degrees =70 secant=2.92380440016309
% degrees =80 secant=5.75877048314363


\begin{frame}{Step Two: get the vertical factors}
Consider a tiny square on the globe.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/mercator004.png}}%
\end{center}
We know that to make the corresponding region 
on the map we must stretch horizontally 
by the factor $\sec\phi$.
What about vertically? 
What is the right vertical stretch 
to make the projection preserve angles?
That is, let $D(\phi)$ be the distance on the map from the equator to 
the parallel of latitude~$\phi$.
What is the formula for $D$?
\end{frame}



\begin{frame}\vspace*{-1ex}
Mercator was not perfectly clear
in describing how he spaced the horizontal lines, 
the latitudes.

\begin{quotation}\small
\noindent In making this representation of the world we had \ldots{}
to spread on a plane the surface of the
sphere in such a way that the positions of 
places shall correspond on all sides with each other
both in so far as true direction and distance are concerned and 
as concerns correct longitudes
and latitudes \ldots{} 
With this intention we have had to employ a new proportion and a new
arrangement of the meridians with reference to the parallels.
\ldots{} It is for these reasons that we
have progressively increased the degrees of latitude towards each pole in 
proportion to the
lengthening of the parallels with reference to the equator.  
\end{quotation}
%\end{frame}
\pause\vspace*{-0.5ex}
%\begin{frame}
On the left a line crosses the sphere's box.
The other three are how we might represent the blue box on the map.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/mercator_2d004.pdf}}%
  \qquad
  \vcenteredhbox{\includegraphics{asy/mercator_2d005.pdf}}%
  \qquad
  \vcenteredhbox{\includegraphics{asy/mercator_2d006.pdf}}%
  \qquad
  \vcenteredhbox{\includegraphics{asy/mercator_2d007.pdf}}%
\end{center}
%The first two map boxes have different angles for the line because they are 
%nonsquare.
Only the third map box, the square one, gets the angle right.
To preserve angles, the right vertical stretch is to also stretch 
by $\sec\phi$.
\end{frame}





\begin{frame}
Mercator didn't know how to get a formula for~$D$.
So he did this:~to 
get the height for latitude~$n$~degrees he stacked up 
a box for $0$~degrees that is $\sec(0^\circ)\cdot 1/90$ tall, 
then a box for $1$~degree that is $\sec(1^\circ)\cdot 1/90$ tall, etc.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/mercator_2d008.pdf}}%
\end{center}
Restated, he used this approximation for the height of $\phi$-th latitude line, 
where $\Delta x$ is the increment of latitude angle.
\begin{equation*}
  D(\phi)
  =\sum_{0\leq k<(\phi/\Delta x)} \sec(k\Delta x)\cdot \Delta x
\end{equation*}
In prior slides we have called this Reimann's approximation.
\end{frame}

\begin{frame}{Later}
A century later the British East India Company hired
Edward Wright (1561--1615) to improve their maps, etc.
He expressed the question of finding the formula for $D$,
but without our terminology.

\begin{quotation}\small
\noindent
the parts of the meridan at everty poynt of latitude must needs increase
with the same proportion wherewith the Secantes or hypoteneuse of the arke, 
intercepted betweene those pointes of latitude and the
aequinoctiall (equator) do increse
\ldots{}
For \ldots
by the perpetuall addition of the Secantes answerable to the latitudes 
of each point or parallel vnto the summae
compounded of all former secantes \ldots
we may make a table which shal shew the sections and points of 
latitude in the meridans of the nautical planisphaere: by which sections
the parallels are to be drawne.
\end{quotation}

\pause
Just like the man said:
\begin{equation*}
  D(\phi)=\int_{s=0}^{s=\phi} \sec s \,ds
\end{equation*}
Finding the formula for the answer to   
this integral was one of the most prominent mathematical problems of its time.
\end{frame}

\begin{frame}{$D(\phi)=\int_{s=0}^{s=\phi} \sec s \,ds$}
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{asy/mercator_2d001.pdf}}}%    
  \only<2->{\vcenteredhbox{\includegraphics{asy/mercator_2d011.pdf}}}    
\end{center}
\only<2->{These are a few of 
the Reimann boxes used by Mercator to approximate~$D$, 
each box with width one degree.}
\end{frame}

\begin{frame}{The exact formula at last}
Isaac Barrow (1630--1677), Newton's professor at Cambridge, 
gave this derivation for $D(\phi)$
(here in modern notation).
\begin{align*}
  \int\sec\theta\,d\theta 
  &=\int\frac{1}{\cos\theta}\,d\theta
   =\int\frac{\cos\theta}{\cos^2\theta}\,d\theta
   =\int\frac{\cos\theta}{1-\sin^2\theta}\,d\theta  \\ 
   \uncover<2->{&=\int\frac{\cos\theta}{(1-\sin\theta)(1+\sin\theta)}\,d\theta
    =\frac{1}{2}\int\frac{\cos\theta}{1-\sin\theta}+\frac{\cos\theta}{1+\sin\theta}\,d\theta   \\} 
   \uncover<3->{&=\frac{1}{2}\bigl[-\ln|1-\sin\theta|+\ln|1+\sin\theta|  \bigr] +C   \\}
   \uncover<4->{&=\frac{1}{2}\ln\bigl| \frac{1+\sin\theta}{1-\sin\theta} \bigr| +C
    =\frac{1}{2}\ln\bigl| \frac{1+\sin\theta}{1-\sin\theta} \frac{1+\sin\theta}{1+\sin\theta} \bigr| +C     \\}
   \uncover<5->{&=\frac{1}{2}\ln\bigl| \frac{(1+\sin\theta)^2}{1-\sin^2\theta} \bigr| +C
    =\frac{1}{2}\ln\bigl| \frac{(1+\sin\theta)^2}{\cos^2\theta} \bigr| +C \\}
   \uncover<6->{&=\ln\bigl| \frac{1+\sin\theta}{\cos\theta} \bigr| +C      
   =\ln| \sec\theta+\tan\theta|+C}
\end{align*}
\uncover<2->{(At the end of the second line,
$p/(1-q)+p/(1+q)$ equals $[p(1+q)+p(1-q)]/[(1+q)(1-q)]$,
which equals $2p/[(1+q)(1-q)]$.)}
\end{frame}

\begin{frame}
\begin{center}
  \begin{tabular}{c}
    \includegraphics[height=3cm]{barrow.jpg}  \\[1ex]
    Issac Barrow 1630--1677, by Mary Beale 
  \end{tabular}
\end{center}
\end{frame}

\begin{frame}{The spacing}
\begin{center}\small
  \begin{tabular}{r|l}
    \multicolumn{1}{c}{\textit{Degrees, $\phi$}}
    &\multicolumn{1}{c}{\textit{Height, $\ln| \sec\phi+\tan\phi|$}} \\ \hline
    $10$ &$0.18$ \\
    $20$ &$0.36$ \\
    $30$ &$0.56$ \\
    $40$ &$0.76$ \\
    $50$ &$1.01$ \\
    $60$ &$1.32$ \\
    $70$ &$1.74$ \\
    $80$ &$2.44$ \\
  \end{tabular}
  \quad
  \vcenteredhbox{\includegraphics{asy/mercator_2d009.pdf}}%
  % \quad
  % \vcenteredhbox{\includegraphics{asy/mercator_2d010.pdf}}%
\end{center}
\end{frame}
% sage: def f(x):
% ....:     rad = x*pi/180
% ....:     return(ln(sec(rad)+tan(rad)))
% ....: 
% sage: for d in range(9):
% ....:     print("$"+str(10*d)+"$ &$"+str(n(f(10*d)))+"$ \\")
% ....: 
% $0$ &$0.000000000000000$ \
% $10$ &$0.175425829651818$ \
% $20$ &$0.356378504724450$ \
% $30$ &$0.549306144334055$ \
% $40$ &$0.762909652066611$ \
% $50$ &$1.01068318868302$ \
% $60$ &$1.31695789692482$ \
% $70$ &$1.73541516266889$ \
% $80$ &$2.43624605371588$ \
\begin{frame}
Putting those numbers into vertical lines on the map
shows the familiar Mercator spacing.
\begin{center}\small
  \vcenteredhbox{\includegraphics{asy/mercator_2d010.pdf}}%
  \vcenteredhbox{\includegraphics[height=5cm]{Mercator_projection_Square.jpg}}%
\end{center}

\textit{Remark:}~the resulting map is very heavily distorted. 
For instance, Greenland looks larger than Africa. 

But the point of the Mercator projection is not to give fifth graders
an accurate impression of the areas of regions of the globe.
The point is to make rhumb lines be straight. 
\end{frame}


% \begin{frame}
% \frametitle{}  
% \end{frame}


% \begin{frame}
% \frametitle{}  
% \end{frame}


% \begin{frame}
% \frametitle{}  
% \end{frame}

\end{document}
